javax.visrec.ml.detection

## Interface ObjectDetector<T>

Type Parameters:
  `T` - Class used to represent image that will be analyzed

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ObjectDetector<T>

Interface to perform object detection in image. Returns a map of object labels/classes and corresponding location in image outlined by BoundingBox-es

Since:
  1.0
Author:
  Zoran Sevarac

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,List<BoundingBox>>` `detectObject(T image)` Detects object in specified image

### Method Detail

#### detectObject

    Map<String,List<BoundingBox>> detectObject(T image)

Detects object in specified image

Parameters:
  `image` - image to search for object
Returns:
  a map of multiple `BoundingBox`